com.thinkaurelius.titan.diskstorage.configuration

## Class AbstractConfiguration

- java.lang.Object
- - com.thinkaurelius.titan.diskstorage.configuration.AbstractConfiguration

- All Implemented Interfaces:
    Configuration
  Direct Known Subclasses:
    BasicConfiguration, MixedConfiguration

      public abstract class AbstractConfiguration
      extends Object
      implements Configuration

  Author:
    Matthias Broecheler (me@matthiasb.com)

- - ### Field Summary

    - ### Fields inherited from interface com.thinkaurelius.titan.diskstorage.configuration.Configuration

      `EMPTY`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractConfiguration(ConfigNamespace root)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `close()`
    `protected Set<String>` | `getContainedNamespaces(ReadConfiguration config, ConfigNamespace umbrella, String... umbrellaElements)`
    `protected String` | `getPath(ConfigElement option, String... umbrellaElements)`
    `ConfigNamespace` | `getRootNamespace()`
    `protected Map<String,Object>` | `getSubset(ReadConfiguration config, ConfigNamespace umbrella, String... umbrellaElements)`
    `protected static Configuration` | `restrictTo(Configuration config, String... fixedUmbrella)`
    `protected void` | `verifyElement(ConfigElement element)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.thinkaurelius.titan.diskstorage.configuration.Configuration

      `get, getContainedNamespaces, getSubset, has, restrictTo`

- - ### Constructor Detail

    - #### AbstractConfiguration

          protected AbstractConfiguration(ConfigNamespace root)

  - ### Method Detail

    - #### getRootNamespace

          public ConfigNamespace getRootNamespace()

    - #### verifyElement

          protected void verifyElement(ConfigElement element)

    - #### getPath

          protected String getPath(ConfigElement option,
                       String... umbrellaElements)

    - #### getContainedNamespaces

          protected Set<String> getContainedNamespaces(ReadConfiguration config,
                                           ConfigNamespace umbrella,
                                           String... umbrellaElements)

    - #### getSubset

          protected Map<String,Object> getSubset(ReadConfiguration config,
                                     ConfigNamespace umbrella,
                                     String... umbrellaElements)

    - #### restrictTo

          protected static Configuration restrictTo(Configuration config,
                                 String... fixedUmbrella)

    - #### close

          public abstract void close()

Copyright © 2012–2014. All rights reserved.